Bug 487191 - system-config-samba has hardcoded Requires: PolicyKit-gnome
system-config-samba has hardcoded Requires: PolicyKit-gnome
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Req-PolicyKit-gnome
  Show dependency treegraph
 
Reported: 2009-02-24 13:02 EST by Kevin Kofler
Modified: 2009-03-02 03:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 03:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2009-02-24 13:02:11 EST
Description of problem:
system-config-samba has a hardcoded dependency on PolicyKit-gnome. Is this really necessary? In the KDE spin, we would like to ship PolicyKit-kde instead of PolicyKit-gnome. PolicyKit-kde also implements the org.freedesktop.PolicyKit.AuthenticationAgent service.

(Note that system-config-samba is not included on the current KDE spin.)

Version-Release number of selected component (if applicable):
system-config-samba-0:1.2.69-1.fc11

How reproducible:
Always

Steps to Reproduce:
1. repoquery --repoid=rawhide --whatrequires PolicyKit-gnome
  
Actual results:
system-config-samba requires PolicyKit-gnome.

Expected results:
system-config-samba does not require PolicyKit-gnome.

Additional info:
Maybe a common Provides in both PolicyKit-gnome and PolicyKit-kde is needed?
Comment 1 Kevin Kofler 2009-02-27 12:24:04 EST
In Rawhide, both PolicyKit-gnome and PolicyKit-kde now have:
Provides: PolicyKit-authentication-agent
so you can require this instead of PolicyKit-gnome.
Comment 2 Nils Philippsen 2009-03-02 03:19:20 EST
Fixed in system-config-samba-1.2.71-1.fc11 which is building right now.

Note You need to log in before you can comment on or make changes to this bug.